Connecting ReactApp to MetaMask
===============================

When you load the ReactApp in the Chrome browser, MetaMask will ask to connect to ReactApp.
It will show the following pop-up window. :

.. image:: ../images/connectReactMetaMask.png

In this window, MetaMask lists down all 10 accounts from Ganache. 
You can select which accounts are willing to connect to ReactApp.
After selecting the accounts you can click ``Next``.
In this example, I select all 10 accounts. Clicking ``Next`` will direct you
to the confirmation page as shown below. 

.. image:: ../images/confirmReactMetaMaskConnection.png

You can click ``Connect`` at the bottom right corner to connect MetaMask and ReactApp.

After connecting the ReactApp to MetaMask you can see the ``storeddData`` value  from the ``SimpleStorage`` smart contract as the ``Current value`` in 
the app and you can change it using the form in ReactApp.